> ## Documentation Index
> Fetch the complete documentation index at: https://www.latitude.sh/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Show managed database metrics



## OpenAPI

````yaml https://spec.speakeasy.com/latitude/latitude/latitude-sh-api-with-code-samples get /managed_databases/{managed_database_id}/metrics
openapi: 3.0.1
info:
  title: Latitude.sh API
  version: '2023-06-01'
  description: >-
    The Latitude.sh API is a RESTful API to manage your Latitude.sh account. It
    allows you to perform the same actions as the Latitude.sh dashboard.
servers:
  - url: https://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
  - url: http://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
security: []
tags:
  - name: API keys
  - name: Baselines (Preview)
    description: >-
      Preview. Available to teams with the `baselines_api` feature flag. The
      shape of these endpoints may change before general availability.
  - name: Billing
  - name: Elastic Ips
  - name: Events
  - name: Firewalls
  - name: IP Addresses
  - name: Kubernetes Clusters
  - name: Marketplace apps
  - name: Operating Systems
  - name: Plans
  - name: Public Networks
  - name: Private Networks
  - name: Projects
  - name: Regions
  - name: Roles
  - name: SSH Keys
  - name: Servers
  - name: Block Storage
  - name: Filesystem Storage
  - name: Object Storage
  - name: Tags
  - name: Teams
  - name: Team members
  - name: Traffic
  - name: User data
  - name: User profile
  - name: VPN Sessions
  - name: Virtual machines
  - name: Virtual machine backups
  - name: Virtual machine restores
paths:
  /managed_databases/{managed_database_id}/metrics:
    get:
      tags:
        - Managed Databases
      summary: Show managed database metrics
      operationId: show-managed-database-metrics
      parameters:
        - name: managed_database_id
          in: path
          required: true
          description: Managed database ID
          schema:
            type: string
        - name: period
          in: query
          required: false
          description: >-
            Time window in seconds. One of 1800, 3600, 21600, 86400, 604800
            (default 1800).
          schema:
            type: integer
        - name: queries
          in: query
          required: false
          description: >-
            Comma-separated metrics to fetch. Defaults to all: cpuUsage,
            memoryUsage, tpsUsage, maxConnections, deadlocks, blockedQueries,
            databaseSize.
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                required:
                  - from
                  - to
                  - metrics
                properties:
                  from:
                    type: string
                    format: date-time
                  to:
                    type: string
                    format: date-time
                  metrics:
                    type: object
                    additionalProperties:
                      type: object
                      required:
                        - unit
                        - current
                        - points
                      properties:
                        unit:
                          type: string
                          example: ratio
                        current:
                          type: number
                          nullable: true
                          example: 0.0041
                        points:
                          type: array
                          items:
                            type: object
                            required:
                              - timestamp
                              - value
                            properties:
                              timestamp:
                                type: string
                                format: date-time
                              value:
                                type: number
      security:
        - Bearer: []
      x-codeSamples:
        - lang: go
          label: Go (SDK)
          source: "package main\n\nimport(\n\t\"context\"\n\t\"os\"\n\tlatitudeshgosdk \"github.com/latitudesh/latitudesh-go-sdk\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := latitudeshgosdk.New(\n        latitudeshgosdk.WithSecurity(os.Getenv(\"LATITUDESH_BEARER\")),\n    )\n\n    res, err := s.ManagedDatabases.ShowManagedDatabaseMetrics(ctx, \"<id>\", nil, nil)\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.Object != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: |-
            import { Latitudesh } from "latitudesh-typescript-sdk";

            const latitudesh = new Latitudesh({
              bearer: process.env["LATITUDESH_BEARER"] ?? "",
            });

            async function run() {
              const result = await latitudesh.managedDatabases.showManagedDatabaseMetrics({
                managedDatabaseId: "<id>",
              });

              console.log(result);
            }

            run();
components:
  securitySchemes:
    Bearer:
      type: apiKey
      name: Authorization
      in: header

````